Name:           perl-MIME-Lite-HTML
Version:        1.24
Release:        8%{?dist}
Summary:        Provide routine to transform a HTML page in a MIME-Lite mail
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MIME-Lite-HTML/
Source0:        http://www.cpan.org/modules/by-module/MIME/MIME-Lite-HTML-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::LinkExtor)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(MIME::Lite)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::URL)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module is a Perl mail client interface for sending message that
support HTML format and build them for you.. This module provides routine to
transform an HTML page in a MIME::Lite mail. So you need this module to use
MIME-Lite-HTML possibilities.


%prep
%setup -q -n MIME-Lite-HTML-%{version}
chmod a-x README Changes HTML.pm
iconv -f iso8859-1 -t utf-8 Changes > Changes.utf8 && \
touch -r Changes Changes.utf8 && \
mv -f Changes.utf8 Changes


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
# The 2 following tests are broken by MIME::Lite 3.029
# Headers order is not quaranteed so relying on that to test the module is
# doomed to fail.
# Relevant bugs :
# MIME::Lite::HTML : http://rt.cpan.org/Public/Bug/Display.html?id=86020
# MIME::Lite : https://rt.cpan.org/Public/Bug/Display.html?id=79944
rm -f t/20create_image_part.t t/50generic.t 
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Oct 22 2013 Xavier Bachelot <xavier@bachelot.org> 1.24-8
- Fix FTBS by removing tests broken by MIME::Lite 3.029 (RHBZ#914295).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.24-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 1.24-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 10 2011 Xavier Bachelot <xavier@bachelot.org> 1.24-1
- Update to 1.24.

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.23-3
- Perl mass rebuild

* Thu May 19 2011 Xavier Bachelot <xavier@bachelot.org> 1.23-2
- Clean up redundant Requires:.

* Mon May 02 2011 Xavier Bachelot <xavier@bachelot.org> 1.23-1
- Specfile autogenerated by cpanspec 1.78.
